> ## Documentation Index
> Fetch the complete documentation index at: https://docs.3ngram.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Session briefing over an explicit selector (mirrors the MCP briefing tool)



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/briefing
openapi: 3.1.0
info:
  description: >-
    The /api/v1 REST mirror of the 3ngram memory core
    (docs/concepts/architecture.mdx: one core, N transports). Authenticate with
    an X-API-Key header or a session Bearer token.
  title: 3ngram REST API
  version: v1
servers:
  - description: 3ngram platform
    url: https://api.3ngram.ai
security:
  - apiKey: []
  - sessionBearer: []
paths:
  /api/v1/briefing:
    get:
      summary: >-
        Session briefing over an explicit selector (mirrors the MCP briefing
        tool)
      operationId: briefing
      parameters:
        - in: query
          name: kind
          required: true
          schema:
            enum:
              - all
              - scope
              - project
            type: string
        - in: query
          name: scope
          required: false
          schema:
            maxLength: 64
            minLength: 1
            pattern: ^[a-z0-9][a-z0-9-]*$
            type: string
        - in: query
          name: project
          required: false
          schema:
            maxLength: 256
            minLength: 1
            type: string
        - in: query
          name: mode
          required: false
          schema:
            enum:
              - brief
              - full
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: false
                properties:
                  blockers:
                    additionalProperties: false
                    properties:
                      count:
                        maximum: 9007199254740991
                        minimum: 0
                        type: integer
                      items:
                        items:
                          additionalProperties: false
                          properties:
                            id:
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                              type: string
                            memoryType:
                              enum:
                                - decision
                                - commitment
                                - blocker
                                - fact
                                - preference
                                - pattern
                                - note
                                - event
                              type: string
                            project:
                              anyOf:
                                - maxLength: 256
                                  minLength: 1
                                  type: string
                                - type: 'null'
                            recordedAt:
                              format: date-time
                              pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                              type: string
                            scope:
                              maxLength: 64
                              minLength: 1
                              pattern: ^[a-z0-9][a-z0-9-]*$
                              type: string
                            topic:
                              type: string
                            updatedAt:
                              format: date-time
                              pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                              type: string
                          required:
                            - id
                            - memoryType
                            - topic
                            - scope
                            - project
                            - recordedAt
                            - updatedAt
                          type: object
                        type: array
                    required:
                      - count
                      - items
                    type: object
                  commitments:
                    additionalProperties: false
                    properties:
                      count:
                        maximum: 9007199254740991
                        minimum: 0
                        type: integer
                      items:
                        items:
                          additionalProperties: false
                          properties:
                            dueAt:
                              anyOf:
                                - format: date-time
                                  pattern: >-
                                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                                  type: string
                                - type: 'null'
                            id:
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                              type: string
                            memoryId:
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                              type: string
                            overdue:
                              type: boolean
                            status:
                              enum:
                                - open
                                - waiting
                                - resolved
                                - expired
                              type: string
                            topic:
                              type: string
                          required:
                            - id
                            - memoryId
                            - topic
                            - status
                            - dueAt
                            - overdue
                          type: object
                        type: array
                    required:
                      - count
                      - items
                    type: object
                  generatedAt:
                    format: date-time
                    pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                    type: string
                  mode:
                    enum:
                      - brief
                      - full
                    type: string
                  overdue:
                    additionalProperties: false
                    properties:
                      count:
                        maximum: 9007199254740991
                        minimum: 0
                        type: integer
                      items:
                        items:
                          additionalProperties: false
                          properties:
                            dueAt:
                              anyOf:
                                - format: date-time
                                  pattern: >-
                                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                                  type: string
                                - type: 'null'
                            id:
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                              type: string
                            memoryId:
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                              type: string
                            overdue:
                              type: boolean
                            status:
                              enum:
                                - open
                                - waiting
                                - resolved
                                - expired
                              type: string
                            topic:
                              type: string
                          required:
                            - id
                            - memoryId
                            - topic
                            - status
                            - dueAt
                            - overdue
                          type: object
                        type: array
                    required:
                      - count
                      - items
                    type: object
                  preferences:
                    additionalProperties: false
                    properties:
                      count:
                        maximum: 9007199254740991
                        minimum: 0
                        type: integer
                      items:
                        items:
                          additionalProperties: false
                          properties:
                            id:
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                              type: string
                            memoryType:
                              enum:
                                - decision
                                - commitment
                                - blocker
                                - fact
                                - preference
                                - pattern
                                - note
                                - event
                              type: string
                            project:
                              anyOf:
                                - maxLength: 256
                                  minLength: 1
                                  type: string
                                - type: 'null'
                            recordedAt:
                              format: date-time
                              pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                              type: string
                            scope:
                              maxLength: 64
                              minLength: 1
                              pattern: ^[a-z0-9][a-z0-9-]*$
                              type: string
                            topic:
                              type: string
                            updatedAt:
                              format: date-time
                              pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                              type: string
                          required:
                            - id
                            - memoryType
                            - topic
                            - scope
                            - project
                            - recordedAt
                            - updatedAt
                          type: object
                        type: array
                    required:
                      - count
                      - items
                    type: object
                  recentDecisions:
                    additionalProperties: false
                    properties:
                      count:
                        maximum: 9007199254740991
                        minimum: 0
                        type: integer
                      items:
                        items:
                          additionalProperties: false
                          properties:
                            id:
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                              type: string
                            memoryType:
                              enum:
                                - decision
                                - commitment
                                - blocker
                                - fact
                                - preference
                                - pattern
                                - note
                                - event
                              type: string
                            project:
                              anyOf:
                                - maxLength: 256
                                  minLength: 1
                                  type: string
                                - type: 'null'
                            recordedAt:
                              format: date-time
                              pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                              type: string
                            scope:
                              maxLength: 64
                              minLength: 1
                              pattern: ^[a-z0-9][a-z0-9-]*$
                              type: string
                            topic:
                              type: string
                            updatedAt:
                              format: date-time
                              pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                              type: string
                          required:
                            - id
                            - memoryType
                            - topic
                            - scope
                            - project
                            - recordedAt
                            - updatedAt
                          type: object
                        type: array
                    required:
                      - count
                      - items
                    type: object
                  selector:
                    oneOf:
                      - additionalProperties: false
                        properties:
                          kind:
                            const: all
                            type: string
                        required:
                          - kind
                        type: object
                      - additionalProperties: false
                        properties:
                          kind:
                            const: scope
                            type: string
                          scope:
                            maxLength: 64
                            minLength: 1
                            pattern: ^[a-z0-9][a-z0-9-]*$
                            type: string
                        required:
                          - kind
                          - scope
                        type: object
                      - additionalProperties: false
                        properties:
                          kind:
                            const: project
                            type: string
                          project:
                            maxLength: 256
                            minLength: 1
                            type: string
                        required:
                          - kind
                          - project
                        type: object
                  staleCandidates:
                    additionalProperties: false
                    properties:
                      count:
                        maximum: 9007199254740991
                        minimum: 0
                        type: integer
                      items:
                        items:
                          additionalProperties: false
                          properties:
                            id:
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                              type: string
                            memoryType:
                              enum:
                                - decision
                                - commitment
                                - blocker
                                - fact
                                - preference
                                - pattern
                                - note
                                - event
                              type: string
                            project:
                              anyOf:
                                - maxLength: 256
                                  minLength: 1
                                  type: string
                                - type: 'null'
                            recordedAt:
                              format: date-time
                              pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                              type: string
                            scope:
                              maxLength: 64
                              minLength: 1
                              pattern: ^[a-z0-9][a-z0-9-]*$
                              type: string
                            topic:
                              type: string
                            updatedAt:
                              format: date-time
                              pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                              type: string
                          required:
                            - id
                            - memoryType
                            - topic
                            - scope
                            - project
                            - recordedAt
                            - updatedAt
                          type: object
                        type: array
                    required:
                      - count
                      - items
                    type: object
                required:
                  - selector
                  - mode
                  - generatedAt
                  - commitments
                  - overdue
                  - blockers
                  - staleCandidates
                  - recentDecisions
                  - preferences
                type: object
          description: Success
components:
  securitySchemes:
    apiKey:
      in: header
      name: X-API-Key
      type: apiKey
    sessionBearer:
      scheme: bearer
      type: http

````